#ifndef GLOBALS_H
#define GLOBALS_H
/*
 * $Id: globals.h,v 1.1 2013/01/14 21:47:39 jacadcaps Exp $
 */

#define __USE_SYSBASE
#include <exec/types.h>
#include "compilers.h"

//#define DEBUG 1
#include "debug.h"

#if OS2
APTR LibAllocPooled(APTR poolHeader, ULONG memSize);
void LibFreePooled(APTR poolHeader, APTR memory, ULONG memSize);
APTR LibCreatePool(ULONG memFlags, ULONG puddleSize, ULONG threshSize);
void LibDeletePool(APTR poolHeader);
#endif

extern APTR eventpool;
extern struct MsgPort *emp;
extern int connected;

int vnc_start(ULONG id);
void vnc_stop(void);

#endif /* GLOBALS_H */
